#!/usr/bin/make

# libbthash.mak Version 0.1.0 Compile libbthash.a
# Copyright (C) 2003  dondalah@ripco.com (Dondalah)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:
# 
# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
# 	Boston, MA  02111-1307, USA.

OBJ=btclose.o \
	btcloset.o \
	btdbck.o \
	btdbsz.o \
	btdepth.o \
	btdlet.o \
	btdlets.o \
	btflustk.o \
	btget.o \
	btgetblk.o \
	btgetp.o \
	btgetnxt.o \
	btgetprv.o \
	bthxdmp.o \
	bthxmem.o \
	btinit.o \
	btisrt.o \
	btlock.o \
        btnewblk.o \
	btopen.o \
	btopent.o \
	btoptim.o \
	btpop.o \
	btpush.o \
	btputblk.o \
	btputhx.o \
	btreorg.o \
	btrevers.o \
	btseek.o \
	btshwstk.o \
	btsplit.o \
	btspltrt.o \
	btstkdp.o \
	btstkini.o \
	btsweep.o \
	bttravgt.o \
	bttravsk.o \
	bttravrs.o \
	btunlock.o \
	btupdt.o \
        getmd5.o \
	hash.o \
	hchain.o \
	hclose.o \
	hcloset.o \
	hdbck.o \
	hdlet.o \
	hget.o \
	hgetblk.o \
	hgetptr.o \
	hhxdmp.o \
	hhxmem.o \
	hinit.o \
	hisrt.o \
	hlock.o \
	hnewblk.o \
	hopen.o \
	hopent.o \
	hprime.o \
	hputblk.o \
	hputhx.o \
	hputptr.o \
	hreorg.o \
	hseek.o \
	hsize.o \
	hsweep.o \
	hunlock.o \
	hupdt.o \
	md5c.o \
	rnd.o \
	rndinit.o \
	rndnum.o \
	rndpwr.o

CC=gcc

CFLAGS=-c -I../include -fPIC -Wall

all:		$(OBJ) libbthash.so.0.0

static:		cflg $(OBJ) libbthash.a

cflg:
		rm -f libbthash.so*
		set CFLAGS="-c -I../include -Wall"

libbthash.a:		$(OBJ)
	rm -f libbthash.a
	ar r libbthash.a $(OBJ)

libbthash.so.0.0:	$(OBJ)
	$(CC) -shared -Wl,-soname,libbthash.so.0 \
	-o libbthash.so.0.0 $(OBJ) -lc
	/sbin/ldconfig -n .
	ln -sf libbthash.so.0 libbthash.so
	# define LD_LIBRARY_PATH for libbthash.so

btclose.o:		btclose.c
	$(CC) $(CFLAGS) btclose.c

btcloset.o:		btcloset.c
	$(CC) $(CFLAGS) btcloset.c

btdbck.o:		btdbck.c
	$(CC) $(CFLAGS) btdbck.c

btdbsz.o:		btdbsz.c
	$(CC) $(CFLAGS) btdbsz.c

btdepth.o:		btdepth.c
	$(CC) $(CFLAGS) btdepth.c

btdlet.o:		btdlet.c
	$(CC) $(CFLAGS) btdlet.c

btdlets.o:		btdlets.c
	$(CC) $(CFLAGS) btdlets.c

btflustk.o:		btflustk.c
	$(CC) $(CFLAGS) btflustk.c

btget.o:		btget.c
	$(CC) $(CFLAGS) btget.c

btgetblk.o:		btgetblk.c
	$(CC) $(CFLAGS) btgetblk.c

btgetnxt.o:		btgetnxt.c
	$(CC) $(CFLAGS) btgetnxt.c

btgetp.o:		btgetp.c
	$(CC) $(CFLAGS) btgetp.c

btgetprv.o:		btgetprv.c
	$(CC) $(CFLAGS) btgetprv.c

bthxdmp.o:		bthxdmp.c
	$(CC) $(CFLAGS) bthxdmp.c

bthxmem.o:		bthxmem.c
	$(CC) $(CFLAGS) bthxmem.c

btinit.o:		btinit.c
	$(CC) $(CFLAGS) btinit.c

btisrt.o:		btisrt.c
	$(CC) $(CFLAGS) btisrt.c

btlock.o:		btlock.c
	$(CC) $(CFLAGS) btlock.c

btnewblk.o:		btnewblk.c
	$(CC) $(CFLAGS) btnewblk.c

btopen.o:		btopen.c
	$(CC) $(CFLAGS) btopen.c

btopent.o:		btopent.c
	$(CC) $(CFLAGS) btopent.c

btoptim.o:		btoptim.c
	$(CC) $(CFLAGS) btoptim.c

btpop.o:		btpop.c
	$(CC) $(CFLAGS) btpop.c

btpush.o:		btpush.c
	$(CC) $(CFLAGS) btpush.c

btputblk.o:		btputblk.c
	$(CC) $(CFLAGS) btputblk.c

btputhx.o:		btputhx.c
	$(CC) $(CFLAGS) btputhx.c

btreorg.o:		btreorg.c
	$(CC) $(CFLAGS) btreorg.c

btrevers.o:		btrevers.c
	$(CC) $(CFLAGS) btrevers.c

btseek.o:		btseek.c
	$(CC) $(CFLAGS) btseek.c

btshwstk.o:		btshwstk.c
	$(CC) $(CFLAGS) btshwstk.c

btsplit.o:		btsplit.c
	$(CC) $(CFLAGS) btsplit.c

btspltrt.o:		btspltrt.c
	$(CC) $(CFLAGS) btspltrt.c

btstkdp.o:		btstkdp.c
	$(CC) $(CFLAGS) btstkdp.c

btstkini.o:		btstkini.c
	$(CC) $(CFLAGS) btstkini.c

btsweep.o:		btsweep.c
	$(CC) $(CFLAGS) btsweep.c

bttravgt.o:		bttravgt.c
	$(CC) $(CFLAGS) bttravgt.c

bttravrs.o:		bttravrs.c
	$(CC) $(CFLAGS) bttravrs.c

bttravsk.o:		bttravsk.c
	$(CC) $(CFLAGS) bttravsk.c

btunlock.o:		btunlock.c
	$(CC) $(CFLAGS) btunlock.c

btupdt.o:		btupdt.c
	$(CC) $(CFLAGS) btupdt.c

getmd5.o:		getmd5.c
	$(CC) $(CFLAGS) getmd5.c

hash.o:			hash.c
	$(CC) $(CFLAGS) hash.c

hchain.o:		hchain.c
	$(CC) $(CFLAGS) hchain.c

hclose.o:		hclose.c
	$(CC) $(CFLAGS) hclose.c

hcloset.o:		hcloset.c
	$(CC) $(CFLAGS) hcloset.c

hdbck.o:		hdbck.c
	$(CC) $(CFLAGS) hdbck.c

hdlet.o:		hdlet.c
	$(CC) $(CFLAGS) hdlet.c

hget.o:			hget.c
	$(CC) $(CFLAGS) hget.c

hgetblk.o:		hgetblk.c
	$(CC) $(CFLAGS) hgetblk.c

hgetptr.o:		hgetptr.c
	$(CC) $(CFLAGS) hgetptr.c

hhxdmp.o:		hhxdmp.c
	$(CC) $(CFLAGS) hhxdmp.c

hhxmem.o:		hhxmem.c
	$(CC) $(CFLAGS) hhxmem.c

hinit.o:		hinit.c
	$(CC) $(CFLAGS) hinit.c

hisrt.o:		hisrt.c
	$(CC) $(CFLAGS) hisrt.c

hlock.o:		hlock.c
	$(CC) $(CFLAGS) hlock.c

hnewblk.o:		hnewblk.c
	$(CC) $(CFLAGS) hnewblk.c

hopen.o:		hopen.c
	$(CC) $(CFLAGS) hopen.c

hopent.o:		hopent.c
	$(CC) $(CFLAGS) hopent.c

hprime.o:		hprime.c
	$(CC) $(CFLAGS) hprime.c

hputblk.o:		hputblk.c
	$(CC) $(CFLAGS) hputblk.c

hputhx.o:		hputhx.c
	$(CC) $(CFLAGS) hputhx.c

hputptr.o:		hputptr.c
	$(CC) $(CFLAGS) hputptr.c

hreorg.o:		hreorg.c
	$(CC) $(CFLAGS) hreorg.c

hseek.o:		hseek.c
	$(CC) $(CFLAGS) hseek.c

hsize.o:		hsize.c
	$(CC) $(CFLAGS) hsize.c

hsweep.o:		hsweep.c
	$(CC) $(CFLAGS) hsweep.c

hunlock.o:		hunlock.c
	$(CC) $(CFLAGS) hunlock.c

hupdt.o:		hupdt.c
	$(CC) $(CFLAGS) hupdt.c

md5c.o:			md5c.c
	$(CC) $(CFLAGS) md5c.c

rnd.o:			rnd.s
	$(CC) $(CFLAGS) rnd.s

rndinit.o:		rndinit.c
	$(CC) $(CFLAGS) rndinit.c

rndnum.o:		rndnum.s
	$(CC) $(CFLAGS) rndnum.s

rndpwr.o:		rndpwr.s
	$(CC) $(CFLAGS) rndpwr.s

clean:
	rm -f $(OBJ) libbthash.a
	rm -f libbthash.so*
